using System;
using System.Diagnostics.CodeAnalysis;

// この名前空間は CA1708:Namespace に違反しています。
namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.naming
{
    public class Rule1708
    {
    }
}

// この名前空間は CA1708:Namespace に違反しています。
namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    // このクラスは CA1708:Type に違反しています。
    public static class Rule1708
    {
        // このメソッドは CA1708:Member に違反しています。
        // このメソッドは CA1708:Parameter に違反しています。
        public static void WriteValue(string valueName1, string valuename1)
        {
            Console.WriteLine(valueName1);
            Console.WriteLine(valuename1);
        }

        // このメソッドは CA1708:Member に違反しています。
        public static void Writevalue()
        {
            Console.WriteLine("value");
        }
    }

    // このクラスは CA1708:Type に違反しています。
    public static class RULE1708
    {
    }
}
